package com.dsk.common.core.domain.model;

/**
 * 基础分页类
 * @author hypnos
 * @Description
 * @Date Created in 2022-10-27 07:08:54
 * @Modified By hypnos
 */
public class BasePage {
	
	/**
	 * 当前页码
	 */
	private Integer pageIndex = 1;
	
	/**
	 * 每页数量
	 */
	private Integer pageSize = 10;
	
	/**
	 * 最大页码
	 */
	private Integer pageMaxIndex;
	
	/**
	 * 最大条数
	 */
	private Integer pageMaxSize;

	
	public Integer getPageIndex() {
		return pageMaxIndex != null && pageIndex > pageMaxIndex?  pageMaxIndex : pageIndex;
	}

	public void setPageIndex(Integer pageIndex) {
		this.pageIndex = pageIndex;
	}

	public Integer getPageSize() {
		return pageMaxSize != null && pageSize > pageMaxSize?  pageMaxSize : pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public Integer getPageMaxIndex() {
		return pageMaxIndex;
	}

	public void setPageMaxIndex(Integer pageMaxIndex) {
		this.pageMaxIndex = pageMaxIndex;
	}

	public Integer getPageMaxSize() {
		return pageMaxSize;
	}

	public void setPageMaxSize(Integer pageMaxSize) {
		this.pageMaxSize = pageMaxSize;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("BasePageVo [pageIndex=");
		builder.append(pageIndex);
		builder.append(", pageSize=");
		builder.append(pageSize);
		builder.append("]");
		return builder.toString();
	}

}
